import { Component, OnInit } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { Tab1Service } from '../tab1/tab1.service';
import { Evento } from '../evento';
import { Router } from '@angular/router';
import { FormBuilder } from '@angular/forms';

@Component({
  selector: 'app-prompt-evento',
  templateUrl: './prompt-evento.page.html',
  styleUrls: ['./prompt-evento.page.scss'],
})
export class PromptEventoPage{
  eventoForm = new FormGroup({
      nombre: new FormControl(''),
      fecha: new FormControl(''),
      hora: new FormControl(''),
      precio1: new FormControl(''),
      precio2: new FormControl(''),
      descripcion: new FormControl('')
  });

  eventos: Evento[];

  constructor(private tab1Service: Tab1Service, private router: Router) {
    this.eventos = [];
   }

  onSubmit(){
    let evento = new Evento();
    this.asignarEvento(evento);
    this.router.navigate(['/tabs/tab1/perfil-discoteca']);
  }
  asignarEvento(evento: Evento){
    evento.setNombre(this.eventoForm.get('nombre').value);
    evento.setDesc(this.eventoForm.get('descripcion').value);
    evento.setFecha(this.eventoForm.get('fecha').value);
    evento.setPrecio1(this.eventoForm.get('precio1').value);
    evento.setPrecio2(this.eventoForm.get('precio2').value);
    //evento.setDia(evento.getFecha()); el datetime de Ion devuelve un String, no se puede 
    //evento.setHora(evento.getFecha()); transformar en dia y hora
    if (!this.tab1Service.eventos){
      this.tab1Service.initEventos();}
    this.tab1Service.eventos.push(evento);
  }
  

}
